Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.examination.domain
Class InstitutionParametrization

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.examination.domain.InstitutionParametrization

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class InstitutionParametrization

extends AbstractPersistable

Institutional weightings

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`InstitutionParametrization()`

Method Summary
`int` | `getFrontLoadLargeTopicSize()`
`int` | `getFrontLoadLastPeriodSize()`
`int` | `getFrontLoadPenalty()`
`int` | `getMixedDurationPenalty()`
`int` | `getPeriodSpreadLength()`
`int` | `getPeriodSpreadPenalty()`
`int` | `getTwoInADayPenalty()`
`int` | `getTwoInARowPenalty()`
`void` | `setFrontLoadLargeTopicSize(int frontLoadLargeTopicSize)`
`void` | `setFrontLoadLastPeriodSize(int frontLoadLastPeriodSize)`
`void` | `setFrontLoadPenalty(int frontLoadPenalty)`
`void` | `setMixedDurationPenalty(int mixedDurationPenalty)`
`void` | `setPeriodSpreadLength(int periodSpreadLength)`
`void` | `setPeriodSpreadPenalty(int periodSpreadPenalty)`
`void` | `setTwoInADayPenalty(int twoInADayPenalty)`
`void` | `setTwoInARowPenalty(int twoInARowPenalty)`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstitutionParametrization

    public InstitutionParametrization()

Method Detail

### getTwoInARowPenalty

    public int getTwoInARowPenalty()

### setTwoInARowPenalty

    public void setTwoInARowPenalty(int twoInARowPenalty)

### getTwoInADayPenalty

    public int getTwoInADayPenalty()

### setTwoInADayPenalty

    public void setTwoInADayPenalty(int twoInADayPenalty)

### getPeriodSpreadLength

    public int getPeriodSpreadLength()

### setPeriodSpreadLength

    public void setPeriodSpreadLength(int periodSpreadLength)

### getPeriodSpreadPenalty

    public int getPeriodSpreadPenalty()

### setPeriodSpreadPenalty

    public void setPeriodSpreadPenalty(int periodSpreadPenalty)

### getMixedDurationPenalty

    public int getMixedDurationPenalty()

### setMixedDurationPenalty

    public void setMixedDurationPenalty(int mixedDurationPenalty)

### getFrontLoadLargeTopicSize

    public int getFrontLoadLargeTopicSize()

### setFrontLoadLargeTopicSize

    public void setFrontLoadLargeTopicSize(int frontLoadLargeTopicSize)

### getFrontLoadLastPeriodSize

    public int getFrontLoadLastPeriodSize()

### setFrontLoadLastPeriodSize

    public void setFrontLoadLastPeriodSize(int frontLoadLastPeriodSize)

### getFrontLoadPenalty

    public int getFrontLoadPenalty()

### setFrontLoadPenalty

    public void setFrontLoadPenalty(int frontLoadPenalty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.